import pygame
import sys
import subprocess

pygame.init()

#dimensions
screen_width = 800
screen_height = 600

# Create window
screen = pygame.display.set_mode((screen_width, screen_height))
pygame.display.set_caption("You Lose Menu")

black = (0, 0, 0)
white = (255, 255, 255)

def load_custom_font(font_size):
    # font
    return pygame.font.Font("asset/Minecraft.ttf", font_size)

# Load the background image
background = pygame.image.load("asset/winlosebg.jpg")
background = pygame.transform.scale(background, (screen_width, screen_height))

def you_lose_menu():
    custom_font = load_custom_font(36)  # Load the custom font with a size of 36

    text = custom_font.render("You Lose", True, white)
    text_rect = text.get_rect()
    text_rect.center = (screen_width // 2, screen_height // 2 - 50)

    restart_button = pygame.Rect(screen_width // 2 - 60, screen_height // 2 + 20, 120, 40)
    quit_button = pygame.Rect(screen_width // 2 - 60, screen_height // 2 + 80, 120, 40)

    while True:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                sys.exit()

            if event.type == pygame.MOUSEBUTTONDOWN:
                if restart_button.collidepoint(event.pos):
                    # Launch the hra.py script when the restart button is clicked
                    subprocess.Popen(["python", "leveltwo.py"])
                    pygame.quit()
                    sys.exit()
                if quit_button.collidepoint(event.pos):
                    pygame.quit()
                    sys.exit()

        #background image
        screen.blit(background, (0, 0))
        
        pygame.draw.rect(screen, white, restart_button)
        pygame.draw.rect(screen, white, quit_button)

        screen.blit(text, text_rect)

        font = load_custom_font(28)  # font
        restart_text = font.render("Restart", True, black)
        restart_text_rect = restart_text.get_rect()
        restart_text_rect.center = restart_button.center

        quit_text = font.render("Quit", True, black)
        quit_text_rect = quit_text.get_rect()
        quit_text_rect.center = quit_button.center

        screen.blit(restart_text, restart_text_rect)
        screen.blit(quit_text, quit_text_rect)

        pygame.display.update()

you_lose_menu()
